import type { FAQ, TableOfContentItems, UserObjectResponse } from "../types";
import type { CustomBlockObjectResponse } from "../notion/api";
interface Props {
    blocks: CustomBlockObjectResponse[] | undefined;
    tableOfContent: (TableOfContentItems | undefined)[] | undefined;
    title: string | undefined;
    cover: string | undefined;
    faqs: FAQ[] | undefined | null;
    author: UserObjectResponse | undefined | null;
    published: string | undefined | null;
}
declare const Post: import("svelte").Component<Props, {}, "">;
type Post = ReturnType<typeof Post>;
export default Post;
